[Pythonmac-SIG] py2app 0.3 stable?

Justin Mitchell justinhomi at gmail.com
Mon Jan 30 03:18:23 CET 2006


On 1/29/06, Bob Ippolito <bob at redivi.com> wrote:
> On Jan 29, 2006, at 3:41 PM, Justin Mitchell wrote:
>
> > I did attempt to use 0.3 and got errors. I'll attempt to diagnose
> > those after I figure out whether it's even meant to be used or not....
>
> Try it with the release version and see if it works.
>

There are a few things that I've had trouble with, such as including
wxPython and Intel Mac OS X support.

In regards to wxPython... py2app 0.2 doesn't automatically include the
wxPython 2.5.3 files, so I have to force it with "-p". This results in
a rather large binary (19 megs worth of wxPython stuff). I'm using
10.4.4 and the default python/wxPython version. I tried to "-exclude"
portions of wxPython, but -exclude doesn't seem to function (or I'm
using it improperly).

In regards to Intel support... well, my application won't run on the
Intel macs under Rosetta. It won't be until tomorrow, when I finally
get an Intel mac, that I'll know whether it is a problem with my
script, py2app, or what. If Universal Binary support works with py2app
0.3, then it would be very valuable to me too. I'll go into more
detail regarding this later, as soon as I can properly test it.


More information about the Pythonmac-SIG mailing list